using System;
using System.Linq;
using System.Text;
using System.ComponentModel;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.DC;
using DevExpress.Data.Filtering;
using DevExpress.Persistent.Base;
using System.Collections.Generic;
using DevExpress.ExpressApp.Model;
using DevExpress.Persistent.Validation;

namespace ReportDataSolution.Module.BusinessObjects
{
    public enum cliente_sexo { Masculino, Feminino }

    [DomainComponent]
    [DefaultClassOptions]
    public interface ICliente
    {
        [XafDisplayName("Nome")]
        string cliente_nome { get; set; }

        [XafDisplayName("Apelido")]
        string cliente_apelido { get; set; }

        [XafDisplayName("Sexo")]
        cliente_sexo cliente_sexo { get; set; }

        [XafDisplayName("Data de Nascimento")]
        DateTime cliente_datanascimento { get; set; }

        [XafDisplayName("Nacionalidade")]
        string cliente_nacionalidade { get; set; }

        [XafDisplayName("Salrio")]
        decimal cliente_trasalario { get; set; }

        [XafDisplayName("Valor de Outras Rendas")]
        decimal cliente_valoutrenda { get; set; }
    }
}
